﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="custom" Namespace="CustomColumnNamespace" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
            var column = null;
            function filterMenuShowing(sender, args) {
                column = args.get_column();
            }
            function menuShowing(sender, args) {
                if (column._data.ColumnType == "DiacriticInsensitiveColumn") {
                    var items = sender.get_items();
                    for (var i = 0; i < items.get_count() ; i++) {
                        switch (items.getItem(i).get_value()) {
                            case "NoFilter":
                            case "Contains":
                            case "StartsWith":
                            case "EqualTo":
                            case "EndsWith": break;
                            default: items.getItem(i).set_visible(false); break;
                        }
                    }
                }
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="RadGrid1">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadGrid1" LoadingPanelID="RadAjaxLoadingPanel1" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" CellSpacing="0"
            GridLines="None" Width="1200px" AllowFilteringByColumn="true" OnNeedDataSource="RadGrid1_NeedDataSource">
            <GroupingSettings CaseSensitive="false" />
            <ClientSettings>
                <ClientEvents OnFilterMenuShowing="filterMenuShowing" />
            </ClientSettings>
            <FilterMenu OnClientShowing="menuShowing" />
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID">
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32"
                        FilterControlAltText="Filter OrderID column" HeaderText="OrderID"
                        ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridDateTimeColumn DataField="OrderDate" DataType="System.DateTime"
                        FilterControlAltText="Filter OrderDate column" HeaderText="OrderDate"
                        SortExpression="OrderDate" UniqueName="OrderDate">
                        <HeaderStyle Width="200px" />
                    </telerik:GridDateTimeColumn>
                    <telerik:GridNumericColumn DataField="Freight" DataType="System.Decimal"
                        FilterControlAltText="Filter Freight column" HeaderText="Freight"
                        SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridNumericColumn>
                    <telerik:GridBoundColumn DataField="CustomerName"
                        FilterControlAltText="Filter CustomerName column" HeaderText="Customer Name Default"
                        SortExpression="CustomerName" UniqueName="CustomerName">
                    </telerik:GridBoundColumn>
                    <custom:DiacriticInsensitiveColumn DataField="CustomerName"
                        FilterControlAltText="Filter CustomerName column" HeaderText="Customer Name Diacritics"
                        SortExpression="CustomerName" UniqueName="CustomerNameInsensitive">
                    </custom:DiacriticInsensitiveColumn>
                    <custom:DiacriticInsensitiveColumn DataField="ShipCountry"
                        FilterControlAltText="Filter ShipCountry column" HeaderText="ShipCountry"
                        SortExpression="ShipCountry" UniqueName="ShipCountry">
                    </custom:DiacriticInsensitiveColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
        <br />
        <br />
        <telerik:RadFormDecorator ID="RadFormDecorator1" runat="server" DecoratedControls="Label" Skin="MetroTouch" />
        <label>You can search for customers logged in the database with their original names: <b>Müller, Renée, Mercédès</b> (e.g. renee)</label>
        <br />
        <label>Or some intentionally diversified countries: <b>Perú, Angola, Chile</b> (e.g. peru)</label>
    </form>
</body>
</html>
